/*
 * Copyright (C) 2005 Alfresco, Inc.
 *
 * Licensed under the Mozilla Public License version 1.1 
 * with a permitted attribution clause. You may obtain a
 * copy of the License at
 *
 *   http://www.alfresco.org/legal/license.txt
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific
 * language governing permissions and limitations under the
 * License.
 */
package org.alfresco.web.ui.common;

/**
 * Class containing well known web resource paths for images etc.
 * 
 * @author Kevin Roast
 */
public class WebResources
{
   // Image paths
   public static final String IMAGE_PREVIOUSPAGE_NONE   = "/images/icons/PreviousPage_unavailable.gif";
   public static final String IMAGE_PREVIOUSPAGE        = "/images/icons/PreviousPage.gif";
   public static final String IMAGE_FIRSTPAGE_NONE      = "/images/icons/FirstPage_unavailable.gif";
   public static final String IMAGE_FIRSTPAGE           = "/images/icons/FirstPage.gif";
   public static final String IMAGE_NEXTPAGE_NONE       = "/images/icons/NextPage_unavailable.gif";
   public static final String IMAGE_NEXTPAGE            = "/images/icons/NextPage.gif";
   public static final String IMAGE_LASTPAGE_NONE       = "/images/icons/LastPage_unavailable.gif";
   public static final String IMAGE_LASTPAGE            = "/images/icons/LastPage.gif";
   
   public static final String IMAGE_SORTUP     = "/images/icons/sort_up.gif";
   public static final String IMAGE_SORTDOWN   = "/images/icons/sort_down.gif";
   public static final String IMAGE_SORTNONE   = "/images/icons/sort_flat.gif";
   
   public static final String IMAGE_EXPANDED   = "/images/icons/expanded.gif";
   public static final String IMAGE_COLLAPSED  = "/images/icons/collapsed.gif";
   
   public static final String IMAGE_MOVELEFT   = "/images/icons/move_left.gif";
   public static final String IMAGE_MOVERIGHT  = "/images/icons/move_right.gif";
   public static final String IMAGE_GO_UP      = "/images/icons/up.gif";
   
   public static final String IMAGE_INFO       = "/images/icons/info_icon.gif";
}
